<?php

namespace App\Http\Controllers;

use App\Http\Requests\AddBoostedShopRequest;
use App\Http\Requests\BoostedShopIDRequest;
use App\Services\Interface\ShopBoostedInterface;
use Illuminate\Http\Request;

class BoostedShopController extends Controller
{
    //
    private $boostedShopInterface;

    public function __construct(ShopBoostedInterface $boostedShopInterface)
    {
        $this->boostedShopInterface = $boostedShopInterface;
    }


    public function adminBoostedShopIndex(Request $request)
    {
        $data = $this->boostedShopInterface->adminBoostedShopIndex($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }
    public function adminBoostedShopFilter(Request $request)
    {
        $data = $this->boostedShopInterface->adminBoostedShopFilter($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }

    public function addBoostedShop(AddBoostedShopRequest $request)
    {
        $data = $this->boostedShopInterface->addBoostedShop($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }

    public function editBoostedShop(BoostedShopIDRequest $request)
    {
        $data = $this->boostedShopInterface->editBoostedShop($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }

    public function deleteBoostedShop(BoostedShopIDRequest $request)
    {
        $data = $this->boostedShopInterface->deleteBoostedShop($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }
}
