<?php

namespace App\Http\Controllers;

use App\Services\Interface\PostCardInterface;
use App\Services\Interface\ShopInterface;
use Exception;
use Illuminate\Http\Request;

class ShopController extends Controller
{
    private $shop_interface;

    public function __construct(ShopInterface $shop_interface)
    {
        $this->shop_interface = $shop_interface;
    }

    public function index(ShopInterface $i_shop, Request $request)
    {
        try {
            $shops = $i_shop->getShopFilter($request);
            if (!$shops->success) return Base::error($shops->message);

            return Base::success('Shop list found', $shops->data);
        } catch (Exception $e) {
            return Base::exception($e);
        }
    }

    public function getAllShops(Request $request)
    {
        $data = $this->shop_interface->getAllShopsFoo($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }

    public function getShopFilter(Request $request)
    {
        $data = $this->shop_interface->getShopFilter($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }

    public function addNewShop(Request $request)
    {
        $data = $this->shop_interface->addNewShopFoo($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }

    public function updateShop(Request $request)
    {
        $data = $this->shop_interface->updateShopFoo($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }

    public function deleteShop(Request $request)
    {
        $data = $this->shop_interface->deleteShopFoo($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }

    public function showShop(Request $request)
    {
        $data = $this->shop_interface->showShopFoo($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }
    public function shopCards(Request $request, PostCardInterface $i_card)
    {
        $data = $i_card->filter($request->shop_id, $request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }
}
