<?php

namespace App\Http\Resources;

use App\Traits\GlobalTrait;
use Illuminate\Http\Resources\Json\JsonResource;

class UserResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    use GlobalTrait;

    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'image_url' => $this->image_url,
            'name' => $this->name ?? GlobalTrait::formateUserName($this->email),
            'email' => $this->email,
            'phone' => $this->phone,
            'address' => $this->address,
            'city' => $this->city,
            'post_code' => $this->post_code,
            'lang_code' => $this->lang_code,
            'country_code' => $this->country_code,
            'is_push_notification' => $this->is_push_notification,
            'is_email_notification' => $this->is_email_notification,
            'refer_code' => $this->refer_code,
            "is_verified" => $this->is_verified ? 1 : 0,
            "is_active" => $this->is_active ? 1 : 0,
            "login_type" => $this->login_type,
            "point" => $this->point,
            "is_vid_verified" => $this->userInfo ? $this->userInfo->is_vid_verified : 0,
            "vid_status" => $this->userInfo ? $this->userInfo->status : null,

        ];
    }
}
