<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AppNotification extends Model
{
    use HasFactory;
    public function user()
    {
        return $this->belongsTo(User::class, 'user_id')->withTrashed();
    }

    public static function getAppId($data)
    {
        $user = User::find($data);
        $user->getDeviceToken;

        $device_tokens = array();

        foreach ($user->getDeviceToken as $item) {
            if ($item->subscription == true) {
                if ($item->device_token != null && $item->device_token != 'none') {
                    $player_id = $item->device_token;
                    array_push($device_tokens, $player_id);
                }
            }
        }

        return $device_tokens;
    }

    public static function pushNotification($datas)
    {
        $device_tokens = AppNotification::getAppId($datas['user']);
        // $device_tokens = "dNOgWt8QRCSkjM1E7JyS_m:APA91bHuF80HSv1HvxpicxhbZNj9mSgOEWch_6q5xYmeSl-Hn3NcsRX0XTrBm94uOSiUKrcRLRDbcPsfb9Nj-jBW-n2zbYPAAeiGX95gEQxtCqUxhNJQQbFglXgjf3LC1nUjjXPNvQFA";
        $SERVER_API_KEY = 'AAAABPo8dzc:APA91bFhs8IseodpsTT6obqBD47EeePHlOWldhX3aADeImeZI5XkjEpH49w-GoVt26PnjfAZG5r-WNttKbdXoih_b9RfcvrKu86MJPOrmQZqlliEpQwtXYojK8o5XAfQwtR_ia7MBxYI';

        $data = [
            "registration_ids" => $device_tokens, // for single device id
            "data" => $datas['notification']
        ];

        $arrayToSend = array(
            'registration_ids' => $device_tokens,
            'notification' => $datas['notification'],
            'priority' => 'high'
        );
        $dataString = json_encode($arrayToSend);

        $headers = [
            'Authorization: key=' . $SERVER_API_KEY,
            'Content-Type: application/json',
        ];

        $ch = curl_init();

        curl_setopt($ch, CURLOPT_URL, 'https://fcm.googleapis.com/fcm/send');
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $dataString);

        $response = curl_exec($ch);
        // var_dump($response);

        curl_close($ch);
    }

    
}
