<?php

namespace App\Services\Repositories;

use App\Http\Controllers\Base;
use App\Models\Contact;
use App\Services\Interface\ContactInterface;

use App\Models\User;
use Exception;

class ContactRepository implements ContactInterface {

    public function index($user_id) {
        try {
            $contact = Contact::where('user_id', $user_id)->get();

            return Base::pass(null, $contact);
        } catch (Exception $e) {
            return Base::exception_fail($e);
        }
    }

    public function add($data) {
        try {
            $contact = new Contact();
            $contact->user_id = $data['user_id'];
            $contact->name = $data['name'];
            $contact->email = $data['email'];
            $contact->phone = $data['phone'];
            $contact->postcode = $data['postcode'];
            $contact->address = $data['address'];
            $contact->save();

            return Base::pass(null, $contact);
        } catch (Exception $e) {
            return Base::exception_fail($e);
        }
    }

    public function update($contact, $data) {
        try {
            $contact->name = $data['name'];
            $contact->email = $data['email'];
            $contact->phone = $data['phone'];
            $contact->postcode = $data['postcode'];
            $contact->address = $data['address'];
            $contact->save();

            return Base::pass(null, $contact);
        } catch (Exception $e) {
            return Base::exception_fail($e);
        }
    }

    public function delete($contact) {
        try {
            $contact->delete();

            return Base::pass(null, $contact);
        } catch (Exception $e) {
            return Base::exception_fail($e);
        }
    }
}
