<?php

namespace App\Services\Repositories;

use App\Http\Controllers\Base;
use App\Models\FavoriteCard;
use App\Models\PostCard;
use App\Services\Interface\FavoriteCardInterface;
use Exception;
use Illuminate\Support\Facades\Auth;

class FavoriteCardRepository implements FavoriteCardInterface {

    public function index(){
        try {
            $user = Auth::user();

            $fav_cards = $user->favoriteCard;
            if(!$fav_cards) $fav_cards = [];

            // $category = $category->active();

            return Base::pass("User all favorite card fetched", $fav_cards); // DONE
        } catch (Exception $e) {
            return Base::exception_fail($e);
        }
    }

    public function toggle($data)
    {
        try {
            $user = Auth::user();

            $card_id = $data->id;

            $card = PostCard::find($card_id);
            if(!$card) return Base::fail("Post Card is not found"); // DONE

            $favCard = FavoriteCard::where(['user_id'=>$user->id, 'card_id' => $card_id])->first();
            if($favCard){
                 $favCard->delete();
                 $msg = "Card has been remove from favorite list"; // DONE
            }
            else{
                $fav_card = new FavoriteCard();
                $fav_card->user_id = $user->id;
                $fav_card->card_id = $card_id;
                $fav_card->save();
                $msg = "Card has been mark as favorite"; // DONE
            }

            

            return Base::pass($msg);
        } catch (Exception $e) {
            return Base::exception_fail($e);
        }
    }
}