<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->id();

            $table->foreignId('user_id')->constrained('users')->onDelete('cascade');
            $table->foreignId('card_id')->constrained('post_cards')->onDelete('cascade');

            $table->string('code')->nullable();
            $table->integer('quantity')->default(1);
            $table->string('text_image')->nullable();
            $table->string('text')->nullable();
            $table->text('message')->nullable();
            $table->double('price')->default(0);
            $table->double('authority_fee')->default(0);
            $table->double('shipping_fee')->default(0);
            $table->double('discount')->default(0);

            $table->string('bill_name')->nullable();
            $table->string('bill_phone')->nullable();
            $table->string('bill_postcode')->nullable();
            $table->string('bill_city')->nullable();
            $table->string('bill_address')->nullable();
            
            
            $table->string('ship_name')->nullable();
            $table->string('ship_phone')->nullable();
            $table->string('ship_postcode')->nullable();
            $table->string('ship_city')->nullable();
            $table->string('ship_address')->nullable();
            
            // $table->string('delivery_type')->nullable();
            $table->date('delivery_date')->nullable();
            $table->time('delivery_time')->nullable();

            $table->string('payment_method')->nullable();
            $table->timestamp('expiry')->nullable();
            
            $table->string('discount_code')->nullable();
            $table->boolean('is_gift_paper')->default(false);
            
            $table->unsignedTinyInteger('rate')->nullable();
            $table->string('review')->nullable();
            
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('orders');
    }
};
