<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('settings', function (Blueprint $table) {
            //
            $table->dropColumn('type');
        });
        Schema::table('settings', function (Blueprint $table) {
            //
            $table->enum('type', ['auth_fee', 'ship_fee', 'coin_value', 'referral_point', 'is_referral', 'user_order_bonus', 'refer_user_order_bonus', 'bonus_order_limit', 'is_order_bonus'])->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('settings', function (Blueprint $table) {
            //
            $table->dropColumn('type');
        });
        Schema::table('settings', function (Blueprint $table) {
            //
            $table->enum('type', ['auth_fee', 'ship_fee'])->nullable();
        });
    }
};
