<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<style>
    .title-text {
        font-size: 40px;
        font-weight: bold;
        width: 100%;
        text-align: center;
    }

    .right-text {
        text-align: right;
    }
    .text-center {
        text-align: center;
    }

    .table-row {
        width: 100%;
        font-size: 18px;
    }

    .gray-bar {
        background-color: #d3d3d3;
        padding-left: 20px;
        padding-top: 10px;
        padding-bottom: 10px;
        font-weight: bold;
        margin-top: 20px;
    }

    .image-style {
        width: 100px;
        height: 100px;
        border-radius: 999999999;
        overflow: hidden;
    }

    .shop-data-row {
        /* padding-left: 30px; */
        /* background-color: red; */
        position: absolute;
    }

    .shop-telephone {
        padding-top: 10px;
        /* padding-bottom: 10px; */
    }

    .shop-name {
        font-weight: bold;
        font-size: 20px;
    }

    .horizontal-bar {
        background-color: #d3d3d3;
        height: 4px;
    }

    .address-title {
        font-weight: bold;
        font-size: 20px;
    }

    .address-rows {
        padding-top: 10px;
    }

    .order-id {
        text-align: right;
        font-weight: bold;
        font-size: 20px;
    }

    .order-items {
        text-align: left;
        font-weight: bold;
        font-size: 20px;
    }

    .table-border {
        border: 1px solid #d3d3d3;
        border-collapse: collapse;
    }

    .product-table-row {
        padding-top: 10px;
        padding-bottom: 10px;
        /* text-align: center; */
    }

    .product-data {
        color: gray;
    }

    .fees-table-container {
        width: 100%;
        position: relative;
    }

    .fees-table {
        position: absolute;
        right: 0px;
        width: 400px;
    }

    .fees-table-row {
        padding-top: 10px;
        padding-bottom: 10px;
        text-align: right;
    }

    .fees-data {
        color: gray;
        padding-right: 10px;
    }
</style>

<body>
    <!-- title -->
    @php
        $order = $invoice_info['order'];
        $tax_percentage = $invoice_info['tax_percentage'];
        use App\Http\Controllers\Base as Base;
        // $tax = Setting::where()
    @endphp
    <div class="title-text">Invoice Details: {{$order->code}}</div>

    <!-- sub title -->
    <table style="width: 100%; padding-top: 20px;">
        <tr>
            <th></th>
            <th></th>
        </tr>
        <tr class="table-row">
            <td>Gifty Purchase Summary: {{$order->code}}</td>
            <td class="right-text">{{ Base::carbonDateParse($order->order_date)}}</td>
        </tr>
    </table>

    <!-- gray bar -->
    <div class="gray-bar">Seller Center</div>

    <!-- shop name and details -->
    <table style="margin-top: 20px;">
        <tr>
            {{-- <th></th> --}}
            <th></th>
        </tr>
        <tr>
            {{-- <td>
                <img class="image-style"
                    src="{{ public_path('images/shops/shop_default_image.jpeg')}}"
                    onerror="this.onerror=null;this.src='{{ public_path('images/shops/shop_default_image.jpeg')}}';"
                    alt="">
            </td> --}}
            <td class="shop-data-row">
                <div class="shop-name">{{$order->postCardWithShop->shop->name}}</div>
                <div class="shop-telephone">Tel: {{$order->postCardWithShop->shop->phone ?? 'NA'}}</div>
                <div>Address: {{$order->postCardWithShop->shop->address}}, {{$order->postCardWithShop->shop->city ?? 'NA'}}, {{$order->postCardWithShop->shop->post_code ?? 'NA'}}</div>
            </td>
        </tr>
    </table>

    <div style="margin-top: 20px;"></div>
    <!-- address book -->
    <!-- horizontal bar -->
    <div class="horizontal-bar"></div>
    <div style="margin-top: 20px;"></div>
    <table style="width: 100%;">
        <tr>
            <th></th>
            <th></th>
        </tr>

        <tr>
            <td>
                <div class="address-title">From:</div>
                <div class="address-rows">Name: {{$order->customer->name ?? 'NA'}}</div>
                <div class="address-rows">Email: {{$order->customer->email ?? 'NA'}}</div>
                <div class="address-rows">Address: {{$order->customer->address ?? 'NA'}}, {{$order->customer->city ?? 'NA'}}, {{$order->customer->post_code ?? 'NA'}}</div>
                <div class="address-rows">Phone: {{$order->customer->phone ?? 'NA'}}</div>
            </td>
            <td>
                <div class="address-title">To:</div>
                <div class="address-rows">Name: {{$order->ship_name}}</div>
                <div class="address-rows">Address: {{$order->ship_address ?? 'NA'}}, {{$order->ship_city ?? 'NA'}}, {{$order->ship_post_code ?? 'NA'}}</div>
                <div class="address-rows">Address Type: {{$order->ship_address_type}}</div>
                <div class="address-rows">Phone: {{$order->ship_phone}}</div>
            </td>
        </tr>
    </table>
    <div style="margin-top: 20px;"></div>
    <!-- horizontal bar -->
    <div class="horizontal-bar"></div>
    <div style="margin-top: 20px;"></div>

    <!-- order details titles -->
    <table style="width: 100%;">
        <tr>
            <th></th>
            <th></th>
        </tr>
        <tr>
            <td class="order-items">Ordered Items</td>
            <td class="order-id">Order Status: {{ucfirst($order->status) }}</td>
        </tr>
    </table>
    <div style="margin-top: 20px;"></div>

    <!-- products details table -->
    <table style="width: 100%;" class="table-border">
        <tr class="table-border">
            <th class="table-border product-table-row" style="width:5%">#</th>
            <th align="left" class="table-border product-table-row" style="width:70%; padding-left: 10px;">Product Name</th>
            {{-- <th class="table-border product-table-row">Shop Name</th> --}}
            {{-- <th class="table-border product-table-row">Qty</th> --}}
            {{-- <th class="table-border product-table-row">Price</th> --}}
            <th align="right" class="table-border product-table-row" style="width:25%; padding-right: 10px;">Total Price</th>
        </tr>
        <tr class="table-border">
            <td class="table-border product-table-row product-data text-center">1</td>
            <td align="left" class="table-border product-table-row product-data " style="padding-left: 10px;">{{$order->postCardWithShop->name}}({{$tax_percentage}}% Tax included)</td>
            {{-- <td class="table-border product-table-row product-data ">Gifty</td> --}}
            {{-- <td class="table-border product-table-row product-data ">1</td> --}}
            <td align="right" class="table-border product-table-row product-data " style="padding-right: 10px;">¥{{$order->price + $order->price_tax}}</td>
            {{-- <td class="table-border product-table-row product-data ">350</td> --}}
        </tr>
    </table>

    <div style="margin-top: 20px;"></div>
    <!-- fees table -->
    <div class="fees-table-container">
        <table class="fees-table table-border">
            <tr class="table-border">
                <th style="font-weight: 400;" class="table-border fees-table-row fees-data">Service fee({{$tax_percentage}}% Tax included)</th>
                <th style="font-weight: 400;" class="table-border fees-table-row fees-data">¥{{$order->authority_fee + $order->authority_fee_tax}}</th>
            </tr>
            <tr class="table-border">
                <td class="table-border fees-table-row fees-data">Shipping & postage fee</td>
                <td class="table-border fees-table-row fees-data">¥{{$order->shipping_fee + $order->shipping_fee_tax}}</td>
            </tr>
            <tr class="table-border">
                <td class="table-border fees-table-row fees-data">Discount</td>
                <td class="table-border fees-table-row fees-data">¥{{$order->discount}}</td>
            </tr>
            <tr class="table-border">
                <td style="padding-right: 10px;" class="table-border fees-table-row">Total</td>
                <td style="padding-right: 10px;" class="table-border fees-table-row">¥{{$order->order_total}}</td>
            </tr>
        </table>
    </div>
</body>

</html>